### Hierarchy

- EventTarget
  - ServiceWorkerRegistration

## Index

### Properties

- EventTarget
- active
- installing
- navigationPreload
- onupdatefound
- pushManager
- scope
- sync
- updateViaCache
- waiting

### Methods

- addEventListener
- dispatchEvent
- getNotifications
- removeEventListener
- showNotification
- unregister
- update

## Properties

### EventTarget

EventTarget: object

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5081

#### Type declaration

- ##### constructor: function

  - new __type(): EventTarget
  - - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5082

    #### Returns EventTarget

- ##### prototype: EventTarget

### active

active: ServiceWorker | null

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:14261

### installing

installing: ServiceWorker | null

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:14262

### navigationPreload

navigationPreload: NavigationPreloadManager

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:14263

### onupdatefound

onupdatefound: function | null

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:14264

### pushManager

pushManager: PushManager

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:14265

### scope

scope: string

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:14266

### sync

sync: SyncManager

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:14267

### updateViaCache

updateViaCache: ServiceWorkerUpdateViaCache

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:14268

### waiting

waiting: ServiceWorker | null

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:14269

## Methods

### addEventListener

- addEventListener<K>(type: K, listener: function, options?: boolean | AddEventListenerOptions): void
- addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void

- Overrides EventTarget.addEventListener

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:14274

  #### Type parameters

  - #### K: keyof ServiceWorkerRegistrationEventMap

  #### Parameters

  - ##### type: K

  - ##### listener: function

    - - (this: ServiceWorkerRegistration, ev: ServiceWorkerRegistrationEventMap[K]): any

      - #### Parameters

        - ##### this: ServiceWorkerRegistration

        - ##### ev: ServiceWorkerRegistrationEventMap[K]

        #### Returns any

  - ##### Optional options: boolean | AddEventListenerOptions

  #### Returns void

- Overrides EventTarget.addEventListener

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:14275

  #### Parameters

  - ##### type: string

  - ##### listener: EventListenerOrEventListenerObject

  - ##### Optional options: boolean | AddEventListenerOptions

  #### Returns void

### dispatchEvent

- dispatchEvent(event: Event): boolean

- Inherited from EventTarget.dispatchEvent

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5074

  Dispatches a synthetic event event to target and returns true if either event's cancelable attribute value is false or its preventDefault() method was not invoked, and false otherwise.

  #### Parameters

  - ##### event: Event

  #### Returns boolean

### getNotifications

- getNotifications(filter?: GetNotificationOptions): Promise<Notification[]>

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:14270

  #### Parameters

  - ##### Optional filter: GetNotificationOptions

  #### Returns Promise<Notification[]>

### removeEventListener

- removeEventListener<K>(type: K, listener: function, options?: boolean | EventListenerOptions): void
- removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void

- Overrides EventTarget.removeEventListener

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:14276

  #### Type parameters

  - #### K: keyof ServiceWorkerRegistrationEventMap

  #### Parameters

  - ##### type: K

  - ##### listener: function

    - - (this: ServiceWorkerRegistration, ev: ServiceWorkerRegistrationEventMap[K]): any

      - #### Parameters

        - ##### this: ServiceWorkerRegistration

        - ##### ev: ServiceWorkerRegistrationEventMap[K]

        #### Returns any

  - ##### Optional options: boolean | EventListenerOptions

  #### Returns void

- Overrides EventTarget.removeEventListener

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:14277

  #### Parameters

  - ##### type: string

  - ##### listener: EventListenerOrEventListenerObject

  - ##### Optional options: boolean | EventListenerOptions

  #### Returns void

### showNotification

- showNotification(title: string, options?: NotificationOptions): Promise<void>

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:14271

  #### Parameters

  - ##### title: string

  - ##### Optional options: NotificationOptions

  #### Returns Promise<void>

### unregister

- unregister(): Promise<boolean>

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:14272

  #### Returns Promise<boolean>

### update

- update(): Promise<void>

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:14273

  #### Returns Promise<void>

Generated using TypeDoc